Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174252 - mail goes to root@localhost.localdomain
Summary: mail goes to root@localhost.localdomain
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: smartmontools
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-26 15:42 UTC by Pierre Ossman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: smartmontools-5.33-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-16 22:35:05 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2005-11-26 15:42:42 UTC
The script that generates smartd.conf uses the mail address
root@localhost.localdomain. Since every (more or less) other tool sends their
mail to just 'root', these messages tend to be lost using certain setups.

My system directs the mail to a central root account by having domain-less
addresses routed to a complete non-local address. In order to catch these
localhost.localdomain addresses I had to add a special alias for them.

Please change the script so it uses just 'root' (or gets the machine's domain
name if you insist on a complete address). The current situation is terribly
annoying and repeatedly causes errors.

Comment 1 Tomas Mraz 2005-11-28 10:16:43 UTC
Is root@localhost (that's the way it is in the latest FC development package)
good enough?


Comment 2 Pierre Ossman 2005-11-28 10:35:11 UTC
No, the name needs to be unqualified. The mailserver completes unqualified to
user@mydomain.com and sends it through normal processing.

root@localhost is considered complete so it is scheduled for local delivery
instead of being handed of to the central mail server (unless an alias is added).

A default crontab has 'MAILTO=root', logwatch has 'MailTo = root' and mdadm has
'MAILADDR root', so smartmontools should probably fall in line. :)


Note You need to log in before you can comment on or make changes to this bug.